# $Id: passwd.spec,v 1.10 2004/01/18 14:01:32 ldv Exp $

Name: passwd
Version: 1.0.5
Release: alt1

Summary: The %name utility for setting/changing passwords using PAM
License: BSD/GPL
Group: System/Base

Source: %name-%version.tar.gz

PreReq: /etc/tcb, shadow-utils >= 1:4.0.0-alt3, control

BuildPreReq: libpam-devel, help2man

%description
The %name package contains a system utility (%name) which sets
and/or changes passwords, using PAM (Pluggable Authentication
Modules).

To use %name, you should have PAM installed on your system.

%prep
%setup -q

%build
%make_build CFLAGS="$RPM_OPT_FLAGS -Werror -W"

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT

%pre
%pre_control passwd

%post
%post_control -s tcb passwd

%files
%attr(600,root,root) %config(noreplace) %_sysconfdir/pam.d/%name
%config /etc/control.d/facilities/passwd
%attr(700,root,root) %_bindir/%name
%_sbindir/%name
%_mandir/man?/%name.*

%changelog
* Sun Jan 18 2004 Dmitry V. Levin <ldv@altlinux.org> 1.0.5-alt1
- passwd(8): use help2man to generate manpage from template.
- wrapper: deal with compilation warnings produced by -W.

* Tue Jun 17 2003 Dmitry V. Levin <ldv@altlinux.org> 1.0.4-alt1
- Fixed build with OpenPAM.
- Added Linux-PAM/OpenPAM multi-build support.

* Fri May 23 2003 Dmitry V. Levin <ldv@altlinux.org> 1.0.3-alt1
- PAM configuration policy enforcement.

* Sun Jan 12 2003 Dmitry V. Levin <ldv@altlinux.org> 1.0.2-alt1
- Be more verbose about username we are changing auth information for.
- Support "traditional" and "tcb" settings for permissions on
  /usr/bin/passwd and /etc/pam.d/passwd (Owl).
- Keep passwd at mode "restricted" in the package, but default it
  to "tcb" in %%post when the package is first installed.
  This avoids a race and fail-open behavior (inspired by Owl).

* Sun Oct 13 2002 Dmitry V. Levin <ldv@altlinux.org> 1.0.1-alt1
- Added control support for passwd.

* Thu Feb 07 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0.0-alt1
- Rewritten root passwd wrapper.

* Fri Dec 14 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.64.1-ipl5mdk
- Switched to tcb.

* Fri Sep 07 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.64.1-ipl4mdk
- Updated pam configuration.
- Rebuilt to get more dependencies.

* Tue Sep 04 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.64.1-ipl3mdk
- Merged with RH (release 7).
- passwd have been split into
  + %_bindir/passwd - privileged utility for users;
  + %_sbindir/passwd - unpriviliged utility for administrator.
  The code of %_bindir/passwd is rewrite of passwd utility
  from SimplePAMApps package.
  There are two diffirent manpages for these utilities now.

* Fri Feb 23 2001 Dmitry V. Levin <ldv@fandra.org> 0.64.1-ipl2mdk
- Added progname patch.

* Fri Oct 13 2000 Dmitry V. Levin <ldv@fandra.org> 0.64.1-ipl1mdk
- Merged with RH (release 4).
- RE adaptions.

* Tue Apr  4 2000 Dmitry V. Levin <ldv@fandra.org>
- 0.64.1

* Sun Oct 24 1999 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions

* Sat Apr 10 1999 Cristian Gafton <gafton@redhat.com>
- first build from the new source code base.
